## SYNOPSIS

           date [OPTION]... [+FORMAT]
           date [-u|--utc|--universal] [MMDDhhmm[[CC]YY][.ss]]

## DESCRIPTION

           Display  the  current time in the given FORMAT, or set the
           system date.

           -d, --date=STRING
                  display time described by STRING, not `now'

           -f, --file=DATEFILE
                  like --date once for each line of DATEFILE

           -ITIMESPEC, --iso-8601[=TIMESPEC]
                  output  date/time  in  ISO  8601   format.    TIME
                  SPEC=`date'  for  date only, `hours', `minutes', or
                  `seconds' for date and time to the indicated preci
                  sion.   --iso-8601  without  TIMESPEC  defaults  to
                  `date'.

           -r, --reference=FILE
                  display the last modification time of FILE

           -R, --rfc-822
                  output RFC-822 compliant date string

           -s, --set=STRING
                  set time described by STRING

           -u, --utc, --universal
                  print or set Coordinated Universal Time

           --help display this help and exit

           --version
                  output version information and exit

           FORMAT controls the output.  The only valid option for the
           second  form specifies Coordinated Universal Time.  Inter
           preted sequences are:

           %%     a literal %

           %a     locale's abbreviated weekday name (Sun..Sat)

           %A     locale's full weekday name, variable  length  (Sun
                  day..Saturday)

           %b     locale's abbreviated month name (Jan..Dec)

           %B     locale's  full  month  name,  variable length (Jan
           %F     same as %Y-%m-%d

           %g     the 2-digit year corresponding to the %V week  num
                  ber

           %G     the  4-digit year corresponding to the %V week num
                  ber

           %h     same as %b

           %H     hour (00..23)

           %I     hour (01..12)

           %j     day of year (001..366)

           %k     hour ( 0..23)

           %l     hour ( 1..12)

           %m     month (01..12)

           %M     minute (00..59)

           %n     a newline

           %N     nanoseconds (000000000..999999999)

           %p     locale's upper case AM or PM  indicator  (blank  in
                  many locales)

           %P     locale's  lower  case  am or pm indicator (blank in
                  many locales)

           %r     time, 12-hour (hh:mm:ss [AP]M)

           %R     time, 24-hour (hh:mm)

           %s     seconds since  `00:00:00  1970-01-01  UTC'  (a  GNU
                  extension)

           %S     second (00..60); the 60 is necessary to accommodate
                  a leap second

           %t     a horizontal tab

           %T     time, 24-hour (hh:mm:ss)

           %u     day of week (1..7);  1 represents Monday

           %U     week number of year with Sunday  as  first  day  of
                  week (00..53)

           %Y     year (1970...)

           %z     RFC-822  style numeric timezone (-0500) (a nonstan
                  dard extension)

           %Z     time zone (e.g., EDT), or nothing if no  time  zone
                  is determinable

           By  default,  date  pads  numeric fields with zeroes.  GNU
           date recognizes the following modifiers between `%' and  a
           numeric directive.

                  `-'  (hyphen) do not pad the field `_' (underscore)
                  pad the field with spaces

## AUTHOR

           Written by David MacKenzie.

## REPORTING BUGS

           Report bugs to <bug-coreutils@gnu.org>.

## COPYRIGHT

           Copyright © 2003 Free Software Foundation, Inc.
           This is free software; see the source for  copying  condi
           tions.  There is NO warranty; not even for MERCHANTABILITY
           or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

           The full documentation for date is maintained as a Texinfo
           manual.   If  the  info  and  date  programs  are properly
           installed at your site, the command

                  info date

           should give you access to the complete manual.

    date (coreutils) 4.5.8    February 2003                   DATE(1)